@import url("/assets/third-party/fontawesome-pro-6.6.0-web/css/all.min.css");
@import url("./fonts/source_sans_3.css");
@import url("/assets/third-party/lightbox2-2.11.5/dist/css/lightbox.min.css");

@import url("./modules/generic-content.css");
@import url("./modules/sidebar.css");
@import url("./modules/breadcrumb.css");
@import url("./modules/news.css");
@import url("./modules/thema.css");
@import url("./modules/filter.css");
@import url("./modules/kontakt.css");
@import url("./modules/gotoTopBtn.css");
@import url("./modules/_external-link.css");



/* General CSS */
:root,
[data-bs-theme="light"] {
  --bs-font-sans-serif: "Source Sans 3", system-ui, -apple-system, "Segoe UI",
    Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

a {
  background-color: transparent;
  color: var(--bs-cd-1);
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
/* Back Button */
.backbtn-float{
	position: sticky;
  bottom: 16px;
  z-index: 999;

  overflow: visible;

  pointer-events: none;

  display: flex;
  justify-content: flex-end;

  padding-right: 16px;
}

.back-to-list-btn{
	pointer-events: auto;
	border-radius: 999px;
	padding: 10px 14px;
	gap: 10px;
}

.cursor-help {
  cursor: help !important;
}
.footerlogos:last-child {
  margin: 20px 0px;
}
.footerlogos img {
	max-width: 80%;
}
.footerlogos img {
  min-height: 20%;
}
.footer__social {
	display: flex;
	gap: 16px;
}

.footer__social-icon {
	font-size: 1.5rem;
}
.skip-link {
  position: absolute;
  top: -40px;
  left: 0;
  background: #000;
  color: #fff;
  padding: 8px 16px;
  z-index: 1000;
  text-decoration: none;
}
.skip-link:focus {
  top: 0;
}
/* Navigation */
.nav-container {
  max-width: 1400px;
  margin: 0 auto;
}
.div-green{
  background-color: var(--bs-cd-1);
  color: white;
  padding: 8px 0;
}

.div-outline-green {
  border: 1px solid var(--bs-cd-1);
  padding: 10px;
}
/* Header */
/* Hover-Farbe grün */
.dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:focus {
  background-color: var(--bs-cd-1);
  text-decoration: none;
  font-weight: 700;
  color: #000;
}

.dropdown-menu .dropdown-item.active,
.dropdown-menu .dropdown-item:active {
  background-color: var(--bs-cd-1)!important;
  text-decoration: none;
  font-weight: 700;
  color: #000;
}
/* Form-control und form-check */
.form-check-input.btn-outline-green:checked {
  background-color: var(--bs-cd-1);
  border-color: var(--bs-cd-1);
}

.form-check-input.btn-outline-green:focus {
    border-color: var(--bs-cd-1);
    box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25);
}
.form-control.btn-outline-green:focus {
  border-color: var(--bs-cd-1);
  box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25);
}
.form-check-input.btn-outline-green[type="radio"]:checked {
  background-color: var(--bs-cd-1);
  border-color: var(--bs-cd-1);
}
.form-check-input[type="radio"]:checked {
  background-color: var(--bs-cd-1);
  border-color: white;
}
.form-check-input.btn-outline-green[type="radio"]:focus {
  border-color: var(--bs-cd-1);
  box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25);
}
/* Header Bilder */
.header__image-column {
	display: flex;
}
.header__image-box {
	width: 100%;
	aspect-ratio: 16 / 9;
	overflow: hidden;

}
.header__image {
	width: 100%;
	height: 100%;
	display: block;
}
/* Großes grünes Suchfeld im Header */
.header__search-container {
  bottom: -9rem;
  width: 40%;
}

.header__search-input {
  color: var(--bs-cd-1);
}
.hdtxts {
	height: 0px;
	display: none;
}
/* Jobs-Liste */
.job-section {
  margin-top: 150px;
  overflow: hidden; /* kein übergeordnetes Scrollen */
  margin-bottom: 1rem;
}
.job-section__wrapper {
  height: 100%;
  display: flex;
}

/* Linke Spalte: Branchen */
.job-section__list-item {
  border: none;
  font-weight: 500;
}

/* Zebra-Streifen-Effekt für Listen */
.job-section__list li:nth-child(odd) {
  background-color: #c8d8cc;
  border-radius: 0;
}
.job-section__image {
    width: 300px;
    height: 200px;
    object-fit: contain; /* oder cover */
}
.job-section__image {
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.kontakt__image {
    width: 300px;
    height: auto;
    object-fit: contain;
}

.job-section__left,
.job-section__top-jobs {
  max-height: 100%;
}

/* Top-Jobs-Wrapper */
.job-section__top-jobs {
  border: 1px solid #aeca31;
}
.job-section__job-entry.trprofi {
  border-bottom: 4px solid var(--bs-cd-1);
  border-top: none;
}

.job-section__job-entry.trprofi:first-of-type {
  border-top: 4px solid var(--bs-cd-1);
}
.job-section__job-entry.text {
  padding: 0;
}
/* Logo in Jobkarte der Jobliste*/
.job-section__job-image {
  aspect-ratio: 4 / 3;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}
.job-section__job-image picture,
.job-section__job-image img {
  width: 90%;
  height: 90%;
  object-fit: contain;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* Logo in Jobkarte Detailseite */
.card-header__logo {
  aspect-ratio: 4 / 2;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  /* background-color: #0b7e39; */
}
.card-header__logo img,
.card-header__logo picture{
  width: 90%;
  height: 90%;
  object-fit: contain;
  display: flex;
  justify-content: center;
  align-items: center;
}
.card-hover {
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.card-hover:hover {
  transform: translateY(-4px);
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.15);
}

.card-hover:hover .text-cd-2 {
  text-decoration: underline;
}

.card-hover::after {
  content: "";
  display: block;
  height: 4px;
  background-color: var(--bs-cd-1);
  opacity: 0;
  transition: opacity 0.2s ease;
}

.card-hover:hover::after {
    opacity: 1;
}
/* input[type="checkbox"]{
  accent-color: var(--bs-cd-1);
  cursor: pointer;
}
.form-check-input{
  accent-color: var(--bs-cd-1);
  cursor: pointer;
} */
.job-section__job-image.only-text {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0.5rem;
}
.job-section__job-place{
  aspect-ratio: 4 / 3;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0.5rem;
}
/* Überschrift Titel */
.job-section__title-left,
.job-section__top-title {
  color: var(--bs-cd-1);
  font-weight: bold;
  font-size: 1.5rem;
  padding-left: 0.5rem;
}
.jobsearch-section .logo-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 150px;
  height: auto;
}
.jobsearch-wrapper{
  background-color: var(--bs-cd-5) !important;
}

.jobsearch-table {
  --bs-table-bg: var(--bs-cd-5);
  background-color: var(--bs-table-bg) !important;
}
.jobsearch-table td,
.jobsearch-table th {
  border: none !important;
}

/* Zebra-Streifen für ungerade Zeilen */
.jobsearch-table tbody tr:nth-of-type(odd) {
  --bs-table-bg: #b0c8ba;
}

.table-separator {
  border-top: 7px solid var(--bs-cd-1);
}

/*  Call to Action */
.cta-section {
  /* background-color: white; */
  padding: 2rem;
  text-align: center;
}
.cta-section h4 {
  font-weight: bold;
}
.btn-auth {
  font-weight: bold;
  border-radius: 0;
  flex: 1;
  padding: 6px 12px;
  color: black;
}
.btn-white{
  font-weight: bold;
  border-radius: 0;
  min-width: 250px;
  padding: 6px 12px;
  color: black;
  background-color: #fff;
}


.btn-outline-primary {
  background-color: transparent;
  border: 2px solid var(--bs-cd-1);
}

.btn-auth:hover {
  background-color: transparent;
  color: black;
  text-decoration: underline;
}

.btn-outline-primary:hover {
  border-color: transparent;
}

.btn-auth:focus,
.btn-auth:focus-visible,
.btn-auth:active,
.btn-auth.active,
.btn-auth:active:focus,
.btn-auth:active:focus-visible {
  box-shadow: none !important;
  outline: none !important;
  color: black !important;
  text-decoration: underline;
  background-color: var(--bs-cd-1);
}
input.btn-auth:focus,
input.btn-auth:focus-visible,
input.btn-auth:active {
    outline: 0 !important;
    box-shadow: none !important;
    border-color: var(--bs-cd-1) !important;
    background-color: var(--bs-cd-1);
}

input.btn-auth.btn-outline-primary:focus,
input.btn-auth.btn-outline-primary:focus-visible,
input.btn-auth.btn-outline-primary:active {
  background-color: var(--bs-cd-1) !important;
  color: black !important;
  text-decoration: underline;
}
.btn-green {
  background-color: var(--bs-cd-1);
  --bs-btn-color: #fff;
  font-weight: bold;
  border-color: var(--bs-cd-1);
  border-radius: 0;
}
.btn-outline-green {
  border: 2px solid var(--bs-cd-1);
  color:black;
  background-color: white;
  font-weight: bold;
  border-radius: 0;

}
/* Stellenangebote */
.collapse-toggle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}
.collapse-toggle .bi {
  transition: transform 0.3s ease;
}
.collapse-toggle[aria-expanded="true"] .bi {
  transform: rotate(90deg);
}

.flag-menu{
  --bs-dropdown-min-width: 0;
  border-radius: 0;
}
/* Nur Pfeil vom Sprach-Dropdown anpassen */
.language-dropdown .dropdown-toggle::after {
  display: inline-block;
  margin-left: .5rem;
  vertical-align: middle;
  color: var(--bs-cd-1) !important;
  content: "";
  /* Pfeil nach unten */
  border-top: 1em solid;            /* Spitze */
  border-right: 1em solid transparent;
  border-left: 1em solid transparent;
  border-bottom: 0;
}

.lb-close {
    top: 10px !important;
    right: 10px !important;
    bottom: auto !important;
}
.thumbnail-wrapper {
  width: 100%;
  height: 135px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
.page-title {
  font-size: 2.25em;
  /* font-weight: 800; */
  line-height: 1.15;
  margin: 0;
}
.page-title-underline {
  width: 150px;
  height: 4px;
  background: var(--bs-cd-1);
  margin-bottom: 18px;
}
.pagination {
  justify-content: flex-end;
}
.pagination li a,
.pagination li a:hover {
  color: var(--bs-cd-1) !important;
  position: relative;
  float: left;
  padding: 6px 12px;
  line-height: 1.42857143;
  text-decoration: none;
  color: #337ab7;
  background-color: #ffffff;
  border: 1px solid #dddddd;
  margin-left: -1px;
}
.pagination > .active > a,
.pagination > .active > a:hover {
  background-color: var(--bs-cd-1) !important;
  border-color: var(--bs-cd-1) !important;
  color: #fff !important;
}
/* Select2 (Bootstrap 5 Theme) */

.select2-container--bootstrap-5 .select2-selection--single {
  border: 2px solid var(--bs-cd-1) !important;
  border-radius: 0 !important;
  min-height: 38px;
  padding: 6px 12px;
  background-color: transparent !important;
  box-shadow: none !important;
  font-weight: bold;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection--single,
.select2-container--bootstrap-5.select2-container--open .select2-selection--single {
  border-color: var(--bs-cd-1) !important;
  box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25) !important;
}

.select2-container--bootstrap-5 .select2-selection__rendered {
  line-height: 1.5 !important;
}

.select2-container--bootstrap-5 .select2-selection__arrow {
  height: 100% !important;
}

.select2-container--bootstrap-5 .select2-dropdown {
  border: 2px solid var(--bs-cd-1) !important;
  border-radius: 0 !important;
  box-shadow: none !important;
}

.select2-container--bootstrap-5 .select2-results__option {
  border-radius: 0 !important;
  padding: 8px 12px;
  color: #000;
}

.select2-container--bootstrap-5 .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: var(--bs-cd-1) !important;
  color: #fff !important;
}

.select2-container--bootstrap-5 .select2-results__option--selected {
  background-color: rgba(61, 137, 45, 0.15) !important;
  color: #000 !important;
  font-weight: bold;
}

.select2-container--bootstrap-5 .select2-results__option--selected.select2-results__option--highlighted {
  background-color: var(--bs-cd-1) !important;
  color: #fff !important;
  font-weight: bold;
}

.select2-container--bootstrap-5 .select2-selection__clear {
  color: #000 !important;
  margin-right: 8px;
}

/* Searchfeld im Dropdown an deinen Style anpassen */
.select2-container--bootstrap-5 .select2-search--dropdown .select2-search__field {
  border: 2px solid var(--bs-cd-1) !important;
  border-radius: 0 !important;
  background-color: transparent !important;
  box-shadow: none !important;
  outline: none !important;
  padding: 6px 12px !important;
  font-weight: bold;
  color: #000 !important;
}

.select2-container--bootstrap-5 .select2-search--dropdown .select2-search__field:focus {
  border-color: var(--bs-cd-1) !important;
  box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25) !important;
}
/* Select2 Multiple Auswahlfeld */
.select2-container--bootstrap-5 .select2-selection--multiple {
  border: 2px solid var(--bs-cd-1) !important;
  border-radius: 0 !important;
  background-color: transparent !important;
  min-height: 38px;
  box-shadow: none !important;
  font-weight: bold;
}

/* Focus für Select2 */
.select2-container--bootstrap-5.select2-container--focus .select2-selection--multiple,
.select2-container--bootstrap-5.select2-container--open .select2-selection--multiple {
  box-shadow: 0 0 0 0.2rem rgba(61, 137, 45, 0.25) !important;
  border-color: var(--bs-cd-1) !important;
}



.thumbnail-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/* Pfeile im Carousel deutlicher machen */
#carouselStellenangebote .carousel-control-prev-icon,
#carouselStellenangebote .carousel-control-next-icon {
    filter: brightness(2);
    opacity: 1;
}
@media (min-width: 768px) {
	.btn-auth {
		flex: 0 0 auto;
		min-width: 200px;
	}
}
@media (max-width: 1100px) {
  .header__search-container {
    width: 70%;
  }
}
@media (max-width: 768px) {

  .header__image-box {
		height: 180px;
	}

  .header__flex-wrapper {
    flex-direction: column;
    gap: 10px;
  }

  /* Großes grünes Suchfeld im Header */
  .header__search-container {
    bottom: -8rem;
    width: 90%;
  }

	.backbtn-float{
		top: calc(100vh - 64px);
		padding-right: 12px;

  }
}



.mx-n2 {
	margin-left: -0.5rem;
	margin-right: -0.5rem;
}
